$(document).ready(function() {

	var checkMessages = false;

	$('#errDialog').dialog({
		autoOpen: false,
		resizable: false,
		modal: false,
		width: 490,
		show: {
		effect: "fade",
		duration: 300
		} 
	});

	var data;
	$('#errButton').click(function(){

		$.ajax({
				type: "POST",
				url: URLdir  + "/handler/baseDialog/returnDialogHtml",   
				data: {},
				success: function(html){ 
					data = html;
					$('#errDialog').html(html);
					$('#errDialog').dialog("open");

					$('.dialogMyMessagesBtn').click(function(){

						if(!checkMessages)
						{
							$.getJSON(URLdir + "/handler/errMessages/getRequests", {}, function(data){	

								if(typeof(data[0]) != "undefined")
								{
									var valHeight = 0;

									for(var i = 0; i <= data['num']; ++i)
									{
										$('.dialogMyMessages').append('<div class="request"><div class="dateReq">'+data[i]['Date']+' </div><div class="titleReq">'+data[i]['Title']+'</div></div>');
										valHeight += 23;								
									}

									$('.dialogMyMessages').animate({height: valHeight}, 500);
								}
								else
									alert("Вы еще ничего не написали");
							});							

							checkMessages = true;
						}
						else
						{
							$('.dialogMyMessages').animate({height: "0px"}, 500);
							checkMessages = false;	
										
							$('.dialogMyMessages').html('');
						}
					});


					$('.dialogSendButton').click(function(){
						var mesTitle = $('#messageTitle').val();
						var mesText = $('#message').val();
						
						if(mesTitle!='')
						{
							if(mesText!='')
							{

								$.ajax({
										type: "POST",
										url: URLdir + "/handler/errMessages/createRequest",
										data: {title: mesTitle, text: mesText},
										success: function(html){ 
											$('#errDialog').dialog("close");

											$('.main').prepend('<div class="trueMessageOfQuery"><div class="imgMes"></div><div class="textMes">Сообщение отправлено!</div></div>');
											$('.trueMessageOfQuery').hide("fade", 4500, function() {
										    	$('.trueMessageOfQuery').remove();	
											});
										}
								});
							}
							else
								alert("Вы не ввели сообщение");
						}
						else
							alert("Вы не ввели тему сообщения");
					});
				}
		});		                  
		
	});


	//$('#errDialog').dialog("open");
});
